jdk/test/java/lang/instrument/BootClassPath/BootClassPathTest.sh
changeset 2 90ce3da70b43
child 276 57cf064fc997
equal deleted inserted replaced
0:fd16c54261b3 2:90ce3da70b43
       
     1 #
       
     2 # Copyright 2004-2005 Sun Microsystems, Inc.  All Rights Reserved.
       
     3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
       
     4 #
       
     5 # This code is free software; you can redistribute it and/or modify it
       
     6 # under the terms of the GNU General Public License version 2 only, as
       
     7 # published by the Free Software Foundation.
       
     8 #
       
     9 # This code is distributed in the hope that it will be useful, but WITHOUT
       
    10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
       
    11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
       
    12 # version 2 for more details (a copy is included in the LICENSE file that
       
    13 # accompanied this code).
       
    14 #
       
    15 # You should have received a copy of the GNU General Public License version
       
    16 # 2 along with this work; if not, write to the Free Software Foundation,
       
    17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
       
    18 #
       
    19 # Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
       
    20 # CA 95054 USA or visit www.sun.com if you need additional information or
       
    21 # have any questions.
       
    22 #
       
    23 
       
    24 # @test
       
    25 # @bug 5055293
       
    26 # @summary Test non US-ASCII characters in the value of the Boot-Class-Path 
       
    27 #          attribute.
       
    28 
       
    29 if [ "${TESTJAVA}" = "" ]
       
    30 then
       
    31   echo "TESTJAVA not set.  Test cannot execute.  Failed."
       
    32   exit 1
       
    33 fi
       
    34 
       
    35 if [ "${TESTSRC}" = "" ]
       
    36 then
       
    37   echo "TESTSRC not set.  Test cannot execute.  Failed."
       
    38   exit 1
       
    39 fi
       
    40 
       
    41 if [ "${TESTCLASSES}" = "" ]
       
    42 then
       
    43   echo "TESTCLASSES not set.  Test cannot execute.  Failed."
       
    44   exit 1
       
    45 fi
       
    46 
       
    47 JAVAC="${TESTJAVA}"/bin/javac
       
    48 JAVA="${TESTJAVA}"/bin/java
       
    49 JAR="${TESTJAVA}"/bin/jar
       
    50 
       
    51 echo "Creating manifest file..."
       
    52 
       
    53 "$JAVAC" -d "${TESTCLASSES}" "${TESTSRC}"/Setup.java
       
    54 
       
    55 # java Setup <workdir> <premain-class>
       
    56 # - outputs boot class path to boot.dir
       
    57 
       
    58 "$JAVA" -classpath "${TESTCLASSES}" Setup "${TESTCLASSES}" Agent
       
    59 BOOTDIR=`cat ${TESTCLASSES}/boot.dir`
       
    60 
       
    61 echo "Created ${BOOTDIR}"
       
    62 
       
    63 echo "Building test classes..."
       
    64 
       
    65 "$JAVAC" -d "${TESTCLASSES}" "${TESTSRC}"/Agent.java "${TESTSRC}"/DummyMain.java
       
    66 "$JAVAC" -d "${BOOTDIR}" "${TESTSRC}"/AgentSupport.java
       
    67 
       
    68 echo "Creating agent jar file..."
       
    69 
       
    70 "$JAR" -cvfm "${TESTCLASSES}"/Agent.jar "${TESTCLASSES}"/MANIFEST.MF \
       
    71     -C "${TESTCLASSES}" Agent.class || exit 1
       
    72 
       
    73 echo "Running test..."
       
    74 
       
    75 "${JAVA}" -javaagent:"${TESTCLASSES}"/Agent.jar -classpath "${TESTCLASSES}" DummyMain
       
    76 result=$?
       
    77 
       
    78 echo "Cleanup..."
       
    79 
       
    80 "$JAVAC" -d "${TESTCLASSES}" "${TESTSRC}"/Cleanup.java
       
    81 "$JAVA" -classpath "${TESTCLASSES}" Cleanup "${BOOTDIR}"
       
    82 
       
    83 exit $result